<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Phoenix Song: Echo (2021)</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Phoenix-Song-Echo-2021-2-of-5/digital-comic/962669</Web>
  <Summary>EVERYBODY WANTS THE PHOENIX! Echo finds herself besieged on all sides as the eyes of the human and mutant worlds zero in on the Phoenix! But the deadliest threat is buried in her past…and her future. A new ally with strange powers of his own claims to have the clues Maya needs to stop her timeline from unraveling, but can a cosmically powered fighter really trust this handsome stranger? Enemies abound as Echo struggles with her newfound strength…and the weaknesses she doesn’t even know yet.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB962669], [ASINB09CR36GRT], [RELDATE:2021-12-01]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Action/Adventure, Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
